MOUNT_SYSCTLFS(8)

NAME
mount_sysctlfs - mount sysctl namespace as a directory hierarchy

SYNOPSIS
mount_sysctlfs [-r] [-o mntopts] sysctlfs mount_point

DESCRIPTION
The mount_sysctlfs program provides the sysctl(8) hierarchy through the file system namespace. It is possible to browse the tree, query node values and modify them. By default, the node contents are interpreted as ASCII. If the -r flag is given, the server uses raw mode and displays node contents as they are received from the kernel (binary).

SEE ALSO
puffs(3), puffs(4), mount(8), sysctl(8)

HISTORY
The mount_sysctlfs utility first appeared in NetBSD 5.0.

CAVEATS
Raw mode [-r] does not currently support node modification.